
// -*- C++ -*-
// $Id: Administrator_exec_export.h 84089 2009-01-06 20:53:15Z sowayaa $
// Definition for Win32 Export directives.
// This file is generated automatically by generate_export_file.pl ADMINISTRATOR_EXEC
// ------------------------------
#ifndef ADMINISTRATOR_EXEC_EXPORT_H
#define ADMINISTRATOR_EXEC_EXPORT_H

#include "ace/config-all.h"

#if defined (ACE_AS_STATIC_LIBS) && !defined (ADMINISTRATOR_EXEC_HAS_DLL)
#  define ADMINISTRATOR_EXEC_HAS_DLL 0
#endif /* ACE_AS_STATIC_LIBS && ADMINISTRATOR_EXEC_HAS_DLL */

#if !defined (ADMINISTRATOR_EXEC_HAS_DLL)
#  define ADMINISTRATOR_EXEC_HAS_DLL 1
#endif /* ! ADMINISTRATOR_EXEC_HAS_DLL */

#if defined (ADMINISTRATOR_EXEC_HAS_DLL) && (ADMINISTRATOR_EXEC_HAS_DLL == 1)
#  if defined (ADMINISTRATOR_EXEC_BUILD_DLL)
#    define ADMINISTRATOR_EXEC_Export ACE_Proper_Export_Flag
#    define ADMINISTRATOR_EXEC_SINGLETON_DECLARATION(T) ACE_EXPORT_SINGLETON_DECLARATION (T)
#    define ADMINISTRATOR_EXEC_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_EXPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  else /* ADMINISTRATOR_EXEC_BUILD_DLL */
#    define ADMINISTRATOR_EXEC_Export ACE_Proper_Import_Flag
#    define ADMINISTRATOR_EXEC_SINGLETON_DECLARATION(T) ACE_IMPORT_SINGLETON_DECLARATION (T)
#    define ADMINISTRATOR_EXEC_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_IMPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  endif /* ADMINISTRATOR_EXEC_BUILD_DLL */
#else /* ADMINISTRATOR_EXEC_HAS_DLL == 1 */
#  define ADMINISTRATOR_EXEC_Export
#  define ADMINISTRATOR_EXEC_SINGLETON_DECLARATION(T)
#  define ADMINISTRATOR_EXEC_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#endif /* ADMINISTRATOR_EXEC_HAS_DLL == 1 */

// Set ADMINISTRATOR_EXEC_NTRACE = 0 to turn on library specific tracing even if
// tracing is turned off for ACE.
#if !defined (ADMINISTRATOR_EXEC_NTRACE)
#  if (ACE_NTRACE == 1)
#    define ADMINISTRATOR_EXEC_NTRACE 1
#  else /* (ACE_NTRACE == 1) */
#    define ADMINISTRATOR_EXEC_NTRACE 0
#  endif /* (ACE_NTRACE == 1) */
#endif /* !ADMINISTRATOR_EXEC_NTRACE */

#if (ADMINISTRATOR_EXEC_NTRACE == 1)
#  define ADMINISTRATOR_EXEC_TRACE(X)
#else /* (ADMINISTRATOR_EXEC_NTRACE == 1) */
#  if !defined (ACE_HAS_TRACE)
#    define ACE_HAS_TRACE
#  endif /* ACE_HAS_TRACE */
#  define ADMINISTRATOR_EXEC_TRACE(X) ACE_TRACE_IMPL(X)
#  include "ace/Trace.h"
#endif /* (ADMINISTRATOR_EXEC_NTRACE == 1) */

#endif /* ADMINISTRATOR_EXEC_EXPORT_H */

// End of auto generated file.
